Bug 203216 - /etc/shadow not created during kickstart install
/etc/shadow not created during kickstart install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-08-18 22:15 EDT by Andrew Kroeger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 15:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file used for install (3.06 KB, text/plain)
2006-08-18 22:15 EDT, Andrew Kroeger
no flags Details
anaconda.log file when the 2 packages were excluded (66.06 KB, text/plain)
2006-08-18 23:48 EDT, Andrew Kroeger
no flags Details

  None (edit)
Description Andrew Kroeger 2006-08-18 22:15:48 EDT
Description of problem:
After performing a kickstart install, was unable to log in.  Initial thoughts
were mis-typed (or incorrect) rootpw in the kickstart file.  After trying the
kickstart file with a known good crypted passwd (using "auth --useshadow
--enablemd5" and "rootpw --iscrypted ..."), still could not log in.  Rebooted
into single-user mode and attempted to change passwd, but received "passwd:
Authentication token manipulation error".  Went to manually clear password in
/etc/shadow, and noticed file does not exist.  Checked /etc/passwd, and root
passwd entry was "*".

Version-Release number of selected component (if applicable):
anaconda-11.1.0.83-1

How reproducible:
Always

Steps to Reproduce:
1. Perform (apparently) successful kickstart installation
2. Attempt to log in after install completes and rebooted
  
Actual results:
Cannot log in.

Expected results:
Able to successfully log in.

Additional info:
Attaching kickstart file (with redacted password -- I know it's good, and even
if it wasn't /etc/shadow should still be created).
Comment 1 Andrew Kroeger 2006-08-18 22:15:48 EDT
Created attachment 134496 [details]
kickstart file used for install
Comment 2 Andrew Kroeger 2006-08-18 23:47:10 EDT
Okay... after looking into this further, I found why /etc/shadow was not being
created.  The explicit exclusion of packages in the kickstart file I attached
(which worked under FC5 kickstart) was excluding the authconfig package.  The
authconfig package is used by anaconda to perform authentication setup, and the
lack of the package caused an error to be logged in /var/log/anaconda.log (which
I didn't know existed when I originally posted this bug).

After reading through the entire anaconda.log, I also noticed an error when
anaconda attempted to run lokkit to setup the firewall.  I removed the package
exclusions for authconfig and system-config-securitylevel-tui and re-ran the
install.  All appears correct now.

Although the original summary and description no longer apply, I believe the
greater underlying bug is the fact that errors occurred during the install that
left the system in an incorrect state, yet anaconda completed the install and
reboot without providing any indication of the error.
Comment 3 Andrew Kroeger 2006-08-18 23:48:21 EDT
Created attachment 134497 [details]
anaconda.log file when the 2 packages were excluded
Comment 4 Chris Lumens 2006-08-24 15:05:04 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.